﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ZLPlugin_MR.Model
{
    public class Results
    {
        /// <summary>
        /// 
        /// </summary>
        public int ResultCode { get; set; } = -200;
        /// <summary>
        /// 
        /// </summary>
        public List<ResultTextItem> ResultText { get; set; }
    }
    public class ItemListItem
    {
        /// <summary>
        /// 
        /// </summary>
        public string ItemCode { get; set; }
        /// <summary>
        /// 异常淋巴细胞数目
        /// </summary>
        public string ItemName { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Result { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Unit { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Hint { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Range { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string StandardItemId { get; set; }
    }

    public class LISItem
    {
        /// <summary>
        /// 
        /// </summary>
        public string ReportTime { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string LisCheckReportId { get; set; }
        /// <summary>
        /// 血常规五分类
        /// </summary>
        public string ReportName { get; set; }
        /// <summary>
        /// 思南县妇幼保健院
        /// </summary>
        public string OrgName { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public List<ItemListItem> ItemList { get; set; }
    }

    public class ResultTextItem
    {
        /// <summary>
        /// 
        /// </summary>
        public string State { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Reason { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public List<LISItem> LIS { get; set; } = null;

        public List<PACSItem> PACS { get; set; } = null;
    }

    public class PACSItem
    {
        public string ReportTime { get; set; }
        public string PacsCheckReportId { get; set; }
        public string ItemName { get; set; }
        public string CheckTypeName { get; set; }
        public string PositionName { get; set; }
        public string StandardItemId { get; set; }
        public string DiagnosResult { get; set; }
        public string OrgName { get; set; }
        public string reportTypeCode { get; set; }

    }
}
