﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace ZLPlugin_MR.Domain.Encript
{
    internal class DES
    {
        /// <summary>
        /// DES加密
        /// </summary>
        /// <param name="pToEncrypt">加密内容</param>
        /// <param name="sKey">密钥</param>
        /// <returns></returns>
        public static string Encrypt_Des(string pToEncrypt, string sKey)
        {
            string ptostring = pToEncrypt.ToString();
            //8位密钥，16位加密结果
            DESCryptoServiceProvider des = new DESCryptoServiceProvider();
            byte[] inputByteArray = Encoding.Default.GetBytes(ptostring);
            des.Key = ASCIIEncoding.ASCII.GetBytes(sKey);
            des.IV = ASCIIEncoding.ASCII.GetBytes(sKey);
            des.Padding = PaddingMode.Zeros;
            MemoryStream ms = new MemoryStream();
            CryptoStream cs = new CryptoStream(ms, des.CreateEncryptor(), CryptoStreamMode.Write);
            cs.Write(inputByteArray, 0, inputByteArray.Length);
            cs.FlushFinalBlock();
            StringBuilder ret = new StringBuilder();
            foreach (byte b in ms.ToArray())
            {
                ret.AppendFormat("{0:X2}", b);
            }
            ms.Dispose();
            return ret.ToString();
        }
        /// <summary>
        /// DES解密
        /// </summary>
        /// <param name="pToDecrypt">解密内容</param>
        /// <param name="sKey">密钥</param>
        /// <returns></returns>
        public static string Decrypt_Des(string pToDecrypt, string sKey)
        {
            string ptostring = pToDecrypt.ToString();
            DESCryptoServiceProvider des = new DESCryptoServiceProvider();
            byte[] inputByteArray = new byte[ptostring.Length / 2];
            for (int x = 0;
             x < ptostring.Length / 2; x++)
            {
                int i = (Convert.ToInt32(ptostring.Substring(x * 2, 2), 16));
                inputByteArray[x] = (byte)i;
            }
            des.Key = ASCIIEncoding.ASCII.GetBytes(sKey);
            des.IV = ASCIIEncoding.ASCII.GetBytes(sKey);
            des.Padding = PaddingMode.Zeros;
            MemoryStream ms = new MemoryStream();
            CryptoStream cs = new CryptoStream(ms, des.CreateDecryptor(), CryptoStreamMode.Write);
            cs.Write(inputByteArray, 0, inputByteArray.Length);
            cs.FlushFinalBlock();
            ms.Dispose();
            return System.Text.Encoding.Default.GetString(ms.ToArray());
        }
    }
}
